package digi.recipeManager.data;

import org.bukkit.Material;
import org.bukkit.inventory.ItemStack;

public class ItemData
{
	public int		type	= 0;
	public short	data	= 0;
	
	public ItemData(final int type)
	{
		this.type = type;
	}
	
	public ItemData(final int type, final short data)
	{
		this.type = type;
		this.data = data;
	}
	
	public ItemData(final ItemStack item)
	{
		type = item.getTypeId();
		data = item.getDurability();
	}
	
	public Material getMaterial()
	{
		return Material.getMaterial(type);
	}
	
	public String printItemData()
	{
		return getMaterial().toString().toLowerCase() + (data > 0 ? ":" + data : "");
	}
}